#!/usr/bin/python
# -*- coding: utf-8 -*-
import osgeo.ogr as ogr
import osgeo.osr as osr
import numpy as np
import gdal
import sys
import json
#-------------------------------------------------------------------------------
def L2ASCLtoDict(filename, wkt):
	''' 
	L2ASCLtoDict
	'''
	intput = gdal.Open(filename)
	rows, cols, geotransform = intput.RasterYSize, intput.RasterXSize, intput.GetGeoTransform()
	data = intput.GetRasterBand(0).ReadAsArray(0,0,cols,rows)
	dataDict = dict()
	for d in data:
		dataClass = str(int(d))
		if dataClass in dataDict:
			dataDict[dataClass]+=1
		else:
			dataDict[dataClass]=0
	return dataDict
#-------------------------------------------------------------------------------
def main(argv):
	if len(sys.argv) != 2:
		print("Usage: " + argv[0] + " <JSON File>")
	else:
		jsonFile=open(argv[1]).read()
		cfg = json.loads(jsonFile)
		dataDict = L2ASCLtoDict(cfg["filename"], cfg['wkt'])
		print(dataDict)
#-------------------------------------------------------------------------------
if __name__ == "__main__":
	main(sys.argv)
